define(["require", "exports", "tslib", "../../Styling", "../../Utilities", "./DocumentCardPreview.styles", "./DocumentCardActivity.styles", "./DocumentCardTitle.styles", "./DocumentCardLocation.styles"], function (require, exports, tslib_1, Styling_1, Utilities_1, DocumentCardPreview_styles_1, DocumentCardActivity_styles_1, DocumentCardTitle_styles_1, DocumentCardLocation_styles_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var GlobalClassNames = {
        root: 'ms-DocumentCard',
        rootActionable: 'ms-DocumentCard--actionable',
        rootCompact: 'ms-DocumentCard--compact'
    };
    exports.getStyles = function (props) {
        var _a, _b, _c;
        var className = props.className, theme = props.theme, actionable = props.actionable, compact = props.compact;
        var palette = theme.palette, fonts = theme.fonts;
        var classNames = Styling_1.getGlobalClassNames(GlobalClassNames, theme);
        var getFocusBorder = {
            selectors: {
                ':after': {
                    pointerEvents: 'none',
                    content: "''",
                    position: 'absolute',
                    left: -1,
                    top: -1,
                    bottom: -1,
                    right: -1,
                    border: '2px solid ' + palette.neutralSecondary,
                    selectors: (_a = {},
                        _a[Styling_1.HighContrastSelector] = {
                            borderColor: 'Highlight'
                        },
                        _a)
                }
            }
        };
        return {
            root: [
                classNames.root,
                {
                    WebkitFontSmoothing: 'antialiased',
                    backgroundColor: palette.white,
                    border: "1px solid " + palette.neutralLight,
                    maxWidth: '320px',
                    minWidth: '206px',
                    userSelect: 'none',
                    position: 'relative',
                    selectors: (_b = {
                            ':focus': {
                                outline: '0px solid'
                            }
                        },
                        _b["." + Utilities_1.IsFocusVisibleClassName + " &:focus"] = tslib_1.__assign({}, getFocusBorder),
                        _b["." + DocumentCardLocation_styles_1.DocumentCardLocationGlobalClassNames.root + " + ." + DocumentCardTitle_styles_1.DocumentCardTitleGlobalClassNames.root] = {
                            paddingTop: '4px'
                        },
                        _b)
                },
                actionable && [
                    classNames.rootActionable,
                    {
                        selectors: {
                            ':hover': {
                                cursor: 'pointer',
                                borderColor: palette.neutralTertiaryAlt
                            },
                            ':hover:after': {
                                content: '" "',
                                position: 'absolute',
                                top: 0,
                                right: 0,
                                bottom: 0,
                                left: 0,
                                border: "1px solid " + palette.neutralTertiaryAlt,
                                pointerEvents: 'none'
                            }
                        }
                    }
                ],
                compact && [
                    classNames.rootCompact,
                    {
                        display: 'flex',
                        maxWidth: '480px',
                        height: '108px',
                        selectors: (_c = {},
                            _c["." + DocumentCardPreview_styles_1.DocumentCardPreviewGlobalClassNames.root] = {
                                borderRight: "1px solid " + palette.neutralLight,
                                borderBottom: 0,
                                maxHeight: '106px',
                                maxWidth: '144px'
                            },
                            _c["." + DocumentCardPreview_styles_1.DocumentCardPreviewGlobalClassNames.icon] = {
                                maxHeight: '32px',
                                maxWidth: '32px'
                            },
                            _c["." + DocumentCardActivity_styles_1.DocumentCardActivityGlobalClassNames.root] = {
                                paddingBottom: '12px'
                            },
                            _c["." + DocumentCardTitle_styles_1.DocumentCardTitleGlobalClassNames.root] = {
                                paddingBottom: '12px 16px 8px 16px',
                                fontSize: fonts.mediumPlus.fontSize,
                                lineHeight: '16px'
                            },
                            _c)
                    }
                ],
                className
            ]
        };
    };
});
//# sourceMappingURL=DocumentCard.styles.js.map